Evaluation Rules
Get an evaluation rule
Retrieves the specified evaluation rule and its configuration.
Parametry dotazů
api-version
string
vyžadováno
The API version to use for this operation.
Parametry cesty
id
string
vyžadováno
Unique identifier for the evaluation rule.
Odpovědi
The request has succeeded.
Text
id
string
vyžadováno
Unique identifier for the evaluation rule.
displayName
string
Display Name for the evaluation rule.
description
string
Description for the evaluation rule.
action
continuousEvaluation | humanEvaluationPreview
vyžadováno
Evaluation action model.
continuousEvaluation
ContinuousEvaluationRuleAction
Evaluation rule action for continuous evaluation.
type
enum
vyžadováno
evalId
string
vyžadováno
Eval Id to add continuous evaluation runs to.
maxHourlyRuns
integer
Maximum number of evaluation runs allowed per hour.
samplingRate
number
Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.
humanEvaluationPreview
HumanEvaluationPreviewRuleAction
Evaluation rule action for human evaluation.
type
enum
vyžadováno
templateId
string
vyžadováno
Identifier of a saved asset.
filter
EvaluationRuleFilter
Evaluation filter model.
agentName
string
vyžadováno
Filter by agent name.
eventType
string | enum
vyžadováno
Type of the evaluation rule event.
enum
enabled
boolean
vyžadováno
Indicates whether the evaluation rule is enabled. Default is true.
systemData
object
vyžadováno
System metadata for the evaluation rule.
Žádost
GET /evaluationrules/{id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json